FROM registry.gitlab.com/containers.ada/toolboxes/base

# For proxying ssh in the institute
RUN dnf install -y corkscrew poetry

# Install julia
RUN set -eux; \
    JULIA_SOURCE="https://julialang-s3.julialang.org/bin/linux/x64/1.9/julia-1.9.2-linux-x86_64.tar.gz"; \
    JULIA_SHA256SUM="4c2d799f442d7fe718827b19da2bacb72ea041b9ce55f24eee7b1313f57c4383"; \
    curl -LOsSf "${JULIA_SOURCE}"; \
    echo "${JULIA_SHA256SUM}  julia-1.9.2-linux-x86_64.tar.gz" | sha256sum -c; \
    tar xvzf julia-1.9.2-linux-x86_64.tar.gz -C /opt; \
    rm julia-1.9.2-linux-x86_64.tar.gz
ENV PATH /opt/julia-1.9.2/bin:${PATH}

run dnf install -y python3-pandas python3-numpy python3-matplotlib
